.table {
  margin-bottom: 0;

  & > :not(caption) > * > * {
    padding: 8px 16px;
  }

  tr {
    height: 48px;
  }

  thead {
    position: sticky;
    top: 0;
    z-index: 99;
    background-color: $white_2;
    border-bottom: 1px solid #e3e8ee;

    tr {
      th {
        color: $grey_3;
        border-top: 0;
        vertical-align: middle;
        border-bottom: 0;
      }
    }
  }

  tbody {
    tr {
      border-bottom: 1px solid $grey_6 !important;
      &:hover {
        background-color: $grey_6;
      }
      td {
        vertical-align: middle;
        border-bottom: 0;
      }
    }
  }

  &.table-action {
    tbody {
      td {
        &:last-child {
          text-align: right;
          width: 64px;
        }
      }
    }
  }
}

.table-dnd {
  margin-bottom: 0;

  thead {
    tr {
      .col-header {
        text-align: center;
      }
    }
  }

  tbody {
    tr {
      &:hover {
        background-color: $grey_6 !important;
      }
      td {
        vertical-align: middle;
        &:last-child {
          text-align: right;
          width: 64px;
        }
      }
    }
  }
}

.table-wrapper {
  position: relative;
  margin-top: 16px;
  margin-bottom: 16px;
  &-scrollable {
    max-height: 500px;
    overflow: scroll;
  }
}

.toolbox-wrapper {
  margin-right: 24px;
  cursor: pointer;
}
